image: cleanlang/ci:latest

build-x86:
  before_script:
    - nitrile update
    - nitrile --arch=x86 fetch
  script:
    - nitrile --arch=x86 build
    - nitrile --arch=x86 test

build-x64:
  before_script:
    - nitrile update
    - nitrile fetch
  script:
    - nitrile build
    - nitrile test

publish:
  needs:
    - build-x86
    - build-x64
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - nitrile package --arch=any
    - nitrile publish --targets=linux-any
  artifacts:
    paths:
      - posix-*.tar.gz
